org.eclipse.jface.text.link

## Interface LinkedModeUI.ILinkedModeUIFocusListener

All Known Implementing Classes:
  LinkedModeUI.LinkedModeUITarget

Enclosing class:
  LinkedModeUI

    public static interface LinkedModeUI.ILinkedModeUIFocusListener

Listener that gets notified when the linked mode UI switches its focus position.

Clients may implement this interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `linkingFocusGained(LinkedPosition position, LinkedModeUI.LinkedModeUITarget target)` Called when the UI for the linked mode gives focus to a linked position.
`void` `linkingFocusLost(LinkedPosition position, LinkedModeUI.LinkedModeUITarget target)` Called when the UI for the linked mode leaves a linked position.

### Method Detail

#### linkingFocusLost

    void linkingFocusLost(LinkedPosition position,
                          LinkedModeUI.LinkedModeUITarget target)

Called when the UI for the linked mode leaves a linked position.

Parameters:
  `position` - the position being left
  `target` - the target where `position` resides in

#### linkingFocusGained

    void linkingFocusGained(LinkedPosition position,
                            LinkedModeUI.LinkedModeUITarget target)

Called when the UI for the linked mode gives focus to a linked position.

Parameters:
  `position` - the position being entered
  `target` - the target where `position` resides in